package J20250717.demo01_;

/**
 * @author WanJl
 * @version 1.0
 * @title SuperClass
 * @description
 * @create 2025/7/17
 */
public abstract class SuperClass {
    {
        System.out.println("父类初始化代码块");
    }
    static{
        System.out.println("父类静态初始化代码块");
    }

    public SuperClass() {
        System.out.println("父类无参构造方法");
    }
    public abstract void method();
}
